require 'test/unit/testsuite'
require 'gettext_test'
require 'gettext_test_parser'

class GetTextTest
   def suite
     s = Test::Unit::TestSuite.new
     s << TestGetText.suite
     s << TestGetTextParser.suite
     s
   end
end

if RUBY_VERSION >= '1.9.0'
  Test::Unit::AutoRunner.run
else
  Test::Unit::AutoRunner.run(GetTextTest)
end
